## org.apache.hadoop.fs
Class ChecksumException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.fs.ChecksumException

All Implemented Interfaces:
  Serializable

    public class ChecksumException

extends IOException

Thrown for checksum errors.

See Also:
  Serialized Form

Constructor Summary
`ChecksumException(String description, long pos)`

Method Summary
`long` `getPos()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChecksumException

    public ChecksumException(String description,
                             long pos)

Method Detail

### getPos

    public long getPos()

Copyright © 2009 The Apache Software Foundation